PDA

View Full Version : OpenGL on Win98, NT, XP



steve_hiemstra
03-27-2003, 05:45 PM
Hi All,

I'm working on an 3D OpenGL-based product that I will be marketing for use on Win98 (2nd edition), NT, and XP. It runs as an MFC app with SDI and Doc/View.

So far I am running my app fine on XP Professional (although there is Tooltip corruption on the AppsBar, but MSFT says that's their problem).

What I want to know is, "What do I need to provide (files, drivers) so a user can install my app and have it run under OpenGL on their system?".

<of course I'll be 'beta testing' on whatever machines I can, but I figure that someone else has already gone through this, so I want to get in some 'mental preparation for what lies ahead...>

I would assume that OpenGL 'drivers' would need to be provided for different video cards to use OpenGL on Win98. OpenGL seems to work great on my machine (XP-Pro w/ nVidia GeForce 2Ti card), and I didn't have to add a thing, but I 'know' that there must be all kinds of install issues for other systems.

I've heard that NT has some issues during the pre-NT2000 era (up to NT4), and I don't want to bog myself down in those. So if it is too 'dicey', I'll just put a big sticker on the box and say, "Does not support NT versions blah, blah,& blah...".

Please give me the benefit of your experience so I can start 'planning' my Install strategy...

Thanks in advance,

SteveH

dheitbri
03-30-2003, 07:40 PM
If you use OpenGL you just need include your binaries, glut, or what ever else you will need to dist glut32.dll, I am not sure about glu32.dll, I think that is provided with windows. Opengl32.dll is included on all windows realeses starting with win 95, and win NT 4.

zeckensack
03-30-2003, 08:38 PM
OPENGL32.DLL/GLU32.DLL are included in standard Windows installs from Windows 98 onward. The only problem systems would be earlier versions of 95, but these are utterly outdated now. No worries.

However, that's only half the package. Users need a proper GL driver, but these are included in any graphics card driver package I've seen in years.

If your users have trouble with hardware accelerated OpenGL, just tell them to get the latest drivers for their video cards. Everything should be fine then.